$("#map").bind("completeMap",function(e){
	DH_loadLayers();
	
	/* unbind no funciono. off SI*/
	$("#map").off("expandMenuDDHH"); //des atachamos el evento, ya que solo debe ejecutarse la primera vez
});

$('#nav_ddhh').on('shown.bs.collapse', function(e) {
	$("#map").trigger("expandMenuDDHH");
});


$("#map").bind("openInfo",function(e){
	if(DH_selectControl != undefined) //HORRIBLE
		DH_selectControl.unselectAll();
});

$("#map").bind("closeInfo",function(e){
	if(DH_selectControl != undefined) //HORRIBLE
		DH_selectControl.unselectAll();
});

$("#map").bind("changeControlExCCD",function(e){
	DH_selectControl.unselectAll();
});

$("#map").bind("completeLoadDDHH",function(e){
	
	DH_selectControl = new OpenLayers.Control.SelectFeature(
			 wfs_layers,
	       {
	           clickout: false,
	           toggle: false,
	           multiple: false,
	           hover: false,
	           box: false,
	           onSelect: function(feature)
	           {
	          	 //si esta selecccionado zoombox salir de aca
	        	   
	          	 if(map.controls.find(function (element, index, array) {return element.id === 'olControlZoomBoxButton'}).active!=null && map.controls.find(function (element, index, array) {return element.id === 'olControlZoomBoxButton'}).active)
	               {
	          		 DH_selectControl.unselectAll();
	          		 return false;
	               }
	          	 
	          	 DH_showInfo(feature);
	           }
	       }
	   );
	map.addControl(DH_selectControl);
	DH_selectControl.activate();
	
	menulayerddhh_createMenu(); //Crear el menu de layers de Derechos humanos
});





var DH_selectControl
var exccd_layer;
var wfs_layers = [];

function DH_loadLayers()
{
		
		$.getJSON("ddhh/loadLayerDDHH" ,function(provider) {
			
			//ordernar por order layer
			
			provider.sort(function(a, b) {
			    return b.orderLayer - a.orderLayer;
			});
			
			
			
			$.each(provider, function(index, value) {
				
				if(value.service=="WMS")
					DH_addLayerWMS(value);
				
				if(value.service=="WFS")
				{
					
					wfs_layers.push(DH_addLayerWFS(value));

				}
					
					
			});
			
			
			$("#map").trigger("completeLoadDDHH");
	    });
		
		
}


//Muy similar al de ManagerLayer
function DH_addLayerWMS(layerdata){
	
		var layer = null;
		
		var strurl = layerdata.url;
		if(layerdata.local)
			strurl = $(location).attr('protocol') + '//' + $(location).attr('host') + layerdata.url;
		
		layer = new OpenLayers.Layer.WMSCustom(layerdata.title,
				[strurl,'http://localhost:8080/cartoArba/ProxyMap'],
            {
                layers: layerdata.layer,
                transparent: true,
                format: layerdata.format,
                styles:layerdata.style
            }, {
                opacity: layerdata.opacity,
                buffer:0,
                transitionEffect: 'resize',
                isBaseLayer:layerdata.baselayer,
                singleTile: false
            });
	    layer.setVisibility(layerdata.visible);
	    layer.description = layerdata.description;
	    layer.orderlayer = layerdata.orderLayer;
	    layer.service = layerdata.service;
	    layer.id = layerdata.id;
	    layer.url = strurl;
	    layer.ddhh = true;
	    layer.title = layerdata.title;
	    layer.showInPanel=true; // Determina si el layer es mostrado en la capa de layers
	    layer.cstyle = layerdata.style;
	    layer.cstyleTransparent = layerdata.styleTransparent;
	    layer.stylelabel = layerdata.stylelabel;
	    layer.cstylelabelTransparent = layerdata.stylelabeltransparent;
	    layer.layeride = layerdata.layeride;
	    layer.cached = layerdata.cached;
	    layer.namedgrouped = layerdata.namedgrouped;
	    layer.namedgroupedtransparent = layerdata.namedgroupedtransparent;
	    layer.category = layerdata.category;
	    layer.querylayers = layerdata.querylayers;
    	layer.maxresolution = layerdata.maxresolution;
    	layer.editable = false;
	    
    	map.addLayer(layer);
}




function DH_addLayerWFS(layerdata)
{
	var wfs;
	
	var stylemap = new OpenLayers.StyleMap({
			
			'default': new OpenLayers.Style({
		            
		            strokeOpacity:1, 
		            fillOpacity: 1, 
		            //externalGraphic: "resources/img/pin_memoria.png",
		            pointRadius: 12,
		            cursor: "pointer"
		        },
		        
		        {
		            rules: [
		                new OpenLayers.Rule({
		                	
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "true"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.NOT_EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "true"
				                            })
		                            	]}),
		                	
		                	
		                    
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_rojoBlancoPlaca.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "true"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "true"
				                            })
				                            
		                            	]}),

		                	
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_rojoyblanco.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "false"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.NOT_EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "true"
				                            })
		                            	]
		                    			}),
		                    
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_rojoPlaca.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "false"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "true"
				                            })
		                            	]
		                    			}),
		                    symbolizer: {
		                    	externalGraphic: "resources/img/pin_memoria.png"
		                    }
		                }),
		                

		                new OpenLayers.Rule({
		                	
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "true"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.NOT_EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "false"
				                            })
		                            	]}),
		                	
		                	
		                    
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_azulBlancoPlaca.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "true"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "false"
				                            })
		                            	]
		                    			}),

		                	
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_azulBlanco.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "false"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.NOT_EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "false"
				                            })
		                            	]
		                    			}),
		                    
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_azulPlaca.png"
		                    }
		                }),
		                new OpenLayers.Rule({
		                	filter: new OpenLayers.Filter.Logical({
		                        type: OpenLayers.Filter.Logical.AND,
		                        filters: [
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "circuito_camps",
				                                value: "false"
				                            }),
				                            
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO ,
				                                property: "anio_placa",
				                                value: "0"
				                            }),
				                            new OpenLayers.Filter.Comparison({
				                                type: OpenLayers.Filter.Comparison.EQUAL_TO,
				                                property: "publicado",
				                                value: "false"
				                            })
		                            	]
		                    			}),
		                    symbolizer: {
		                    	externalGraphic: "resources/img/infomarker_azul.png"
		                    }
		                })]}
		        ),
		        "select": new OpenLayers.Style({ 
		            
		            strokeOpacity:1, 
		            fillOpacity: 1, 
		            externalGraphic: "resources/img/infomarker.png",
		            pointRadius: 12,
		            cursor: "pointer"
		        })
		});
	    

		wfs = new OpenLayers.Layer.Vector(layerdata.title, {styleMap: stylemap});

		wfs.url = layerdata.url;
		wfs.layer =layerdata.layer ;
		wfs.styleforlegend =layerdata.style;
		
		wfs.description = layerdata.description;
		
		wfs.queryable=false;
		wfs.showInPanel=false;
		wfs.layeride=false;
		wfs.editable=layerdata.editable;
		wfs.id='ddhh_'+layerdata.id;
		wfs.orderlayer = layerdata.orderlayer;
		wfs.ddhh = true;
		wfs.title = layerdata.title;
		wfs.service = layerdata.service;
		wfs.legend = true;
		wfs.featuresloaded = false;
		
		wfs.visibility = false;
		
		map.addLayer(wfs);
		
		wfs.setZIndex(10000 - layerdata.id); //ESPANTOSO
		

		
		if(layerdata.visible)
			
			ML_setCheckBoxProperties(wfs.id);
		
		return wfs;
}

function exccd_loadfeatures(layer)
{
	OpenLayers.Request.GET({
        url: layer.url,
        params: {
            service: 'WFS',
            version: '1.0.0',
            request: 'GetFeature',
            typeName: layer.layer.replace("carto:",""),
            featureNS: "http://carto02.arba.gov.ar/carto",
            srsName: map.getProjection(),
        },

        success: function (response) {
        	
        	layer.removeAllFeatures();
        	
            var gmlReader = new OpenLayers.Format.GML({
                extractAttributes: true
            });
            
            var features = gmlReader.read(response.responseText);
            layer.addFeatures(features);
        }
    });

}

function exccd_loadfeatureswithcallback(layer,idexccd, callback)
{
	OpenLayers.Request.GET({
        url: layer.url,
        params: {
            service: 'WFS',
            version: '1.0.0',
            request: 'GetFeature',
            typeName: layer.layer.replace("carto:",""),
            featureNS: "http://carto02.arba.gov.ar/carto",
            srsName: map.getProjection(),
        },

        success: function (response) {
        	
        	layer.removeAllFeatures();
        	
            var gmlReader = new OpenLayers.Format.GML({
                extractAttributes: true
            });
            
            var features = gmlReader.read(response.responseText);
            layer.addFeatures(features);
            
            
            callback(layer,idexccd);
        }
    });

}


var table_records_ExCCD;

function DH_openRecords()
{
		$("#content_table_ddhh").empty();
	
		DH_setColumnsTable('table_ddhh','content_table_ddhh',["Nombre","Otras denominaciones","Direcci\u00F3n","Localidad","Dependencia","Funcionamiento actual","Otra funci\u00F3n" ,"A\u00F1o Se\u00F1alizaci\u00F3n","Otras Caracter\u00EDsticas"]);
		
		var columns = [{data:"ver",mData:"ver"},{data:"nombre",mData:"nombre"},{data:"alias",mData:"alias"},{data:"direccion",mData:"direccion"},{data:"localidad",mData:"localidad"},{data:"pertenencia_dictadura",mData:"pertenencia_dictadura"},{data:"funcionamiento_actual",mData:"funcionamiento_actual"},{data:"otra_funcion",mData:"otra_funcion"},{data:"anio_placa",mData:"anio_placa"},{data:"otras_caracteristicas",mData:"otras_caracteristicas"}];
		
		table_records_ExCCD = $('#table_ddhh').DataTable( {
	        "scrollX":true,
			"processing": true,
	        "serverSide": true,
	        "lengthChange": false,
	        "bSort" : false,
	        "columns": columns,
	        "language": {
	            "sProcessing":     "Procesando...",
	            "sLengthMenu":     "Mostrar _MENU_ registros",
	            "sZeroRecords":    "No se encontraron resultados",
	            "sEmptyTable":     "Ning&uacute;n dato disponible en esta tabla",
	            "sInfo":           "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
	            "sInfoEmpty":      "Mostrando registros del 0 al 0 de un total de 0 registros",
	            "sInfoFiltered":   "(filtrado de un total de _MAX_ registros)",
	            "sInfoPostFix":    "",
	            "sSearch":         "Buscar:",
	            "sUrl":            "",
	            "sInfoThousands":  ",",
	            "sLoadingRecords": "Cargando...",
	            "oPaginate": {
	                "sFirst":    "Primero",
	                "sLast":     "&Uacute;ltimo",
	                "sNext":     "Siguiente",
	                "sPrevious": "Anterior"
	            },
	            
	            "aoColumnDefs": [
	                             { "sWidth": "10%", "aTargets": [ -1 ] }
	                         ],
	            "oAria": {
	                "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
	                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
	            }
	        },
	        "ajax": {
	            "url": "ddhh/getTableExCCD",
	            "type":"POST",
	            "data": function ( d ) {
	            },
	            
	        },
	        "drawCallback":function (settings) {
	        	
				 $('#modal-content_ddhh_records').off('show.bs.modal');
				 
				 $('#modal-content_ddhh_records').on('show.bs.modal', function () {
					 
					 if($('#table_ddhh').find("thead").length>0)
						 DH_adjustColumnsTable('table_ddhh'); 
					 
				 });
				 $('#modal-content_ddhh_records').modal('show');

	        }
	        
	    });
}

/*NOCHE DE LOS LAPICES*/
function DH_openNocheDeLosLapices()
{
		$("#content_table_noche_de_los_lapices_ddhh").empty();
	
		DH_setColumnsTable('table_noche_de_los_lapices_ddhh','content_table_noche_de_los_lapices_ddhh',["Nombre","Edad","Fecha de Secuestro","Establecimiento Educativo","Militancia Politica","Sobreviviente"]);
		
		var columns = [{data:"ver",mData:"ver"},{data:"nombre",mData:"nombre"},{data:"edad",mData:"edad"},{data:"fecha_secuestro",mData:"fecha_secuestro"},{data:"establecimiento_educativo",mData:"establecimiento_educativo"},{data:"militancia_politica",mData:"militancia_politica"},{data:"sobreviviente",mData:"sobreviviente"}];
		
		table_records_ExCCD = $('#table_noche_de_los_lapices_ddhh').DataTable( {
	        "scrollX":true,
			"processing": true,
	        "serverSide": true,
	        "lengthChange": false,
	        "bSort" : false,
	        "paging": false,
	        "searching": false,
	        "columns": columns,
	        
	        "language": {
	            "sProcessing":     "Procesando...",
	            "sLengthMenu":     "Mostrar _MENU_ registros",
	            "sInfo":           "",
	            "sInfoEmpty":      "",
	            "sInfoPostFix":    "",
	            "sUrl":            "",
	            "sInfoThousands":  ",",
	            "sLoadingRecords": "Cargando...",
	            
	            "aoColumnDefs": [
	                             { "sWidth": "10%", "aTargets": [ -1 ] }
	                         ],
	            "oAria": {
	                "sSortAscending":  ": Activar para ordenar la columna de manera ascendente",
	                "sSortDescending": ": Activar para ordenar la columna de manera descendente"
	            }
	        },
	        "ajax": {
	            "url": "ddhh/getTableNocheDeLosLapices",
	            "type":"POST",
	            "data": function ( d ) {
	            },
	            
	        },
	        "drawCallback":function (settings) {
	        	
				 $('#modal-content_noche_de_los_lapices_ddhh_records').off('show.bs.modal');
				 
				 $('#modal-content_noche_de_los_lapices_ddhh_records').on('show.bs.modal', function () {
					 
					 if($('#table_noche_de_los_lapices_ddhh').find("thead").length>0)
						 DH_adjustColumnsTable('table_noche_de_los_lapices_ddhh'); 
					 
				 });
				 $('#modal-content_noche_de_los_lapices_ddhh_records').modal('show');

	        }
	        
	    });
}


function DH_mostrarRecorridoNocheLapices(idpersona)
{
	
	$.getJSON("ddhh/getRecorridoNocheDeLosLapices",{id:idpersona}, function( data ) {
			
		$('#modal-content_noche_de_los_lapices_ddhh_records').modal('hide');
		
		var geojson_format = new OpenLayers.Format.GeoJSON();

		DH_addAndZoomToFeatures(geojson_format.read(data));
		
		var puntos = data.features[0].geometry.coordinates;
		
		
		
		for (var i = 1; i < puntos.length; i++)
			
			componerArrow(puntos[i-1][0],puntos[i-1][1],puntos[i][0],puntos[i][1]);
		
	}); 
	
}


function componerArrow(x0,y0,x1,y1)
{
	var xmedio = (x0 + x1)/2;
	var ymedio = (y0 + y1)/2;
	//var wkt = "POINT("+xmedio+" "+ymedio+")";
	
	var point = new OpenLayers.Geometry.Point(xmedio, ymedio);
	var features = new OpenLayers.Feature.Vector(point, null, null);
	
	/*var fwkt = new OpenLayers.Format.WKT();
	var features = fwkt.read(wkt);*/
	var angulo = - (Math.atan2(y1-y0,x1-x0 ) / Math.PI)*180;
	if(features) {
    	  if(features.constructor != Array) {
              features = [features];
          }
    	  features = MD_applyDisplacementToFeatures(features);
          for(var i=0; i<features.length; ++i) {
        	  
        	  var params = new Object();
        	  params.angle = angulo;
        	  params.externalGraphic = "resources/img/ddhh_flecha.png";
              params.graphicWidth = 20;
              params.graphicHeight = 20;
        	  
        	  
        	  setStyleFeature(features[i],params);
          }
    	  
          vectorQueryLayer.addFeatures(features);
         
      }
	
}











/*Codigo que se ejecuta luego de la llamada ajax de la componente DataTable*/
function manageResponseTableDDHH()
{
	
	 $('#content_table_ddhh tbody').on( 'click', 'button.fa-search', function () {
			
			// llama a buscar el wkt del pdo-pda
			
			$.getJSON("client/getPdoPda",{pdo:parseInt($($(this).parent().parent().find("td")[1]).text()),pda:parseInt($($(this).parent().parent().find("td")[2]).text()),epsg:map.projection}, function( data ) {
				if(eval(data).found)
				{
					$('#modal-content_ddhh_records').modal('hide');
					DH_addAndZoomToWKT(eval(data).result,map.projection);
				}else
					bootbox.alert(eval(data).message);
				
			}); 
	 });

	 $('#modal-content_ddhh_records').off('show.bs.modal');
	 
	 $('#modal-content_ddhh_records').on('show.bs.modal', function () {
		 if($('#table_ddhh').find("thead").length>0)
			 adjustColumnsTableDDHH(); 
		 
	 });
	 $('#modal-content_ddhh_records').modal('show');
}

function DH_setColumnsTable(idtable,idcontent,data)
{
	
	var inner_html = "<table id='"+idtable+"' class='display' cellspacing='0' width='100%'><thead><tr><th><div style='width: 75px;'></div></th>";
	
	for(var i=0;i<data.length;i++)
		inner_html = inner_html + "<th>" + data[i] + "</th>";
		
	inner_html = inner_html + "</tr></thead></table>";
	
	$("#"+idcontent).append(inner_html);
}


function DH_adjustColumnsTable(idtable)
{
	var referencia = $($("#"+idtable).find("tbody").find("tr")[0]).find("td").toArray();
	
	setTimeout(function(){
		$("#"+idtable+"_wrapper").find(".dataTables_scrollHead").find("table.dataTable").find("thead").find("tr").find("th").each(function( index ) {
			  var width_calc = $(referencia[index]).prop("clientWidth");
			  $( this ).attr("style","width:"+width_calc+"px; min-width:"+width_calc+"px !important; max-width:"+width_calc+"px !important;");
		});
		$(window).trigger("resize");
		
	}, 250);

}


function DH_zoomToPoint(lon,lat,epsg)
{
	ML_addAndZoomToWKT("POINT ("+lon+" "+lat+")", "EPSG:"+epsg);
	$('#modal-content_ddhh_records').modal('hide');
}

function DH_getInfoSDDHH()
{
	$("#mensaje_ddhh").parent().find(".popover").remove();
	$("#mensaje_ddhh").remove();
	
	bootbox.dialog({
         	message: '<p style="text-align:justify">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;El trabajo de la Secretar\u00EDa de Derechos Humanos en materia de pol\u00EDticas p\u00FAblicas de memoria tiene como uno de sus objetivos la promoci\u00F3n y el desarrollo de la construcci\u00F3n de la memoria colectiva, vinculada a los Sitios de Memoria: lugares que funcionaron como centros clandestinos de detenci\u00F3n (CCD) durante la \u00FAltima dictadura c\u00EDvico militar, y otros lugares emblem\u00E1ticos del Terrorismo de Estado que poseen valor testimonial, judicial e hist\u00F3rico cultural. Se trabaja en la investigaci\u00F3n, identificaci\u00F3n, se\u00F1alizaci\u00F3n y preservaci\u00F3n de los ex centros clandestinos, y en el fortalecimiento de proyectos de memoria vinculados a la sociedad civil.<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; La Ley provincial 13.584 (2006) dispone que \u0022el Poder Ejecutivo deber\u00E1 arbitrar los medios para la preservaci\u00F3n de todos los lugares que funcionaron como centros clandestinos de detenci\u00F3n durante la \u00FAltima dictadura militar\u0022, as\u00ED como tambi\u00E9n \u0022deber\u00E1 colocar placas identificatorias en todos los lugares donde funcionaron dichos centros clandestinos de detenci\u00F3n en el \u00E1mbito de la Provincia de Buenos Aires\u0022. El decreto 600/07 designa a la Secretar\u00EDa de Derechos Humanos de la Provincia de Buenos Aires como \u00F3rgano de aplicaci\u00F3n.<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Los Centros Clandestinos de Detenci\u00F3n estuvieron en su inmensa mayor\u00EDa bajo el control operacional de las fuerzas armadas y de seguridad: el ej\u00E9rcito, la armada y la fuerza a\u00E9rea; la polic\u00EDa federal, la polic\u00EDa de la provincia y otras polic\u00EDas provinciales.<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Fueron instalaciones secretas, a\u00FAn cuando con frecuencia se ubicaron dentro de las ciudades, incluso en zonas muy transitadas y densamente pobladas.<br><br>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Las personas detenidas clandestinamente eran obligadas a permanecer all\u00ED, sometidas a todo tipo de vej\u00E1menes, sin que las autoridades reconocieran la presencia de ellas dentro de las estructuras oficiales. Esa circunstancia generaba que familiares, amigos y amigas de las personas detenidas, no supieran ni d\u00F3nde ni c\u00F3mo se encontraban, y se vieran impedidas de brindarles todo tipo de ayuda que derivara en la m\u00E1s m\u00EDnima protecci\u00F3n: judicial o de cualquier otra \u00EDndole.</p>',
         	title: "<h4 style='text-align:center'><img src='./resources/img/memoria.png'> Secretar\u00EDa de Derechos Humanos</h4>"
		});
	
}

function DH_showInfo(feature)
{
	var idexccdFromFeature = (feature.attributes.idexccd!=undefined)?feature.attributes.idexccd:parseInt(feature.fid.replace("exccd.",""));
	
	
	$.getJSON("ddhh/getInfo",{idexccd:idexccdFromFeature}, function( data ) {
    	
    	$("#map").trigger("openInfoSDDHH");
    	
    	var lonlat = new OpenLayers.LonLat(feature.geometry.x,feature.geometry.y)
    	
    	lonlat.transform(map.projection, new OpenLayers.Projection('EPSG:4326'));
		
    	$("#info_header").find(".panel-title").html('<span class="inco_info"><img src="./resources/img/memoria.png"></span>Informaci&oacute;n Ex CCD<span class="x_close"><a class="close" onclick="jInfo_closeInfo();">&times;</a></span>');
		
    	DH_updateInfoData(data,lonlat.lat,lonlat.lon);
		
    	if($('#contenedor_mapa').hasClass( 'col-md-12' ))
			$('#contenedor_info').removeClass('hide');

	}); 
}



$("#map").bind("changeVisibilityLayer",function(e,lay){

	if((lay.service == "WFS") && lay.ddhh)
	{
		if(lay.getVisibility() && !lay.featuresloaded)
		{
			exccd_loadfeatures(lay);
			lay.featuresloaded = true;
		}	
			
	}
	
});



function DH_updateInfoData(data,lat,lon)
{
   data.data.sort(function(a,b){return a.ordered-b.ordered;});
   
   clearInfoData();
   
   for(var i=0;i<data.count;i++)
   {
   		if(data.data[i].type=="SIMPLE")
   			setInfoSimple(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="LINK")
   			DH_setInfoLink(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="MULTILINE")
   			setInfoSimple(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="FOTO")
   			DH_setInfoFotos(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="ARCHIVO")
   			DH_setInfoArchivo(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="DOCUMENTO")
   			DH_setInfoDocumento(data.data[i].title,data.data[i].data,'info_content',true);
   		if(data.data[i].type=="VIDEO")
   			DH_setInfoVideo(data.data[i].title,data.data[i].data,'info_content',true);   	   		
   }
   
   setInfoLatLon(lat,lon);
   
   $("#map").trigger("infoComplete");
}



var isJpg = function(name) {
    return name.match(/jpg$/i)
};
    
var isPng = function(name) {
    return name.match(/png$/i)
};

function DH_setInfoLink(title,data,render,withheader)
{
	var viewdata = false;
		
	var htmlinfo="<div class='panel curva panel-info'>";
	if(withheader)
		htmlinfo=htmlinfo+"<div class='panel-heading'>"+
	    						"<h3 class='panel-title'>"+title+"</h3>"+
	  					  "</div>";
	  
	htmlinfo=htmlinfo+"<div class='panel-body'>"+
		"<div class='table-responsive'>"+
		  "<table class='table tabla_info tabla_info_link'>";
		  
	for (var j in data) {
				if(data[j]==null) return;
				if(data[j].toString().length >0)
				{
					viewdata = true;
					
					
					if(data[j].toString().indexOf("getinfodemorado")==-1)
		  				htmlinfo = htmlinfo +"<tr class='info total'><td class='info'><a href='javascript:jinfo_open(\""+data[j].toString()+"\",\" "+title + " - " + j + "\")'>"+j+"</a></td></tr>";
				}
		     }
			
			
	htmlinfo = htmlinfo + "</table>"+
						  "</div>"+	  
						  "</div>"+
						  "</div>";
	if(viewdata)	
		$("#"+render).append(htmlinfo);
}

function DH_setInfoDocumento(title,data,render,withheader)
{

	
	var viewdata = false;
		
	var htmlinfo="<div class='panel curva panel-info'>";
	if(withheader)
		htmlinfo=htmlinfo+"<div class='panel-heading'>"+
	    						"<h3 class='panel-title'>"+title+"</h3>"+
	  					  "</div>";
	  
	htmlinfo=htmlinfo+"<div class='panel-body'>"+
		"<div class='table-responsive'>"+
		  "<table class='table tabla_info tabla_info_link'>";
		  
	for (var j in data.documentos) {
				if(data.documentos[j]==null) return;
				if(data.documentos.length >0)
				{
					viewdata = true;
					
					
		  				htmlinfo = htmlinfo +"<tr class='info total'><td class='info'><a href='javascript:DH_openPDF(\""+data.documentos[j].url.toString()+"\",\" "+data.documentos[j].nombre.toString() + "\")'>"+data.documentos[j].nombre.toString()+"</a></td></tr>";
				}
		     }
			
			
	htmlinfo = htmlinfo + "</table>"+
						  "</div>"+	  
						  "</div>"+
						  "</div>";
	if(viewdata)	
		$("#"+render).append(htmlinfo);
}


function DH_setInfoArchivo(title,data,render,withheader)
{
	var viewdata = false;
		
	var htmlinfo="<div class='panel curva panel-info'>";
	if(withheader)
		htmlinfo=htmlinfo+"<div class='panel-heading'>"+
	    						"<h3 class='panel-title'>"+title+"</h3>"+
	  					  "</div>";
	  
	htmlinfo=htmlinfo+"<div class='panel-body'>"+
		"<div class='table-responsive'>"+
		  "<table class='table tabla_info tabla_info_link'>";
		  
	for (var j in data.archivos) {
				if(data.archivos[j]==null) return;
				if(data.archivos.length >0)
				{
					viewdata = true;
					
					
					//Si no es PDF forzar la descarga
					htmlinfo = htmlinfo +"<tr class='info total'><td class='info'><a href='javascript:DH_forzar_descarga(\""+data.archivos[j].url.toString()+ "\")'>"+data.archivos[j].nombre.toString()+"</a></td></tr>";
				}
		     }
			
	htmlinfo = htmlinfo + "</table>"+
						  "</div>"+	  
						  "</div>"+
						  "</div>";
	if(viewdata)	
		$("#"+render).append(htmlinfo);
}


function DH_openPDF(url,titulo)
{
	
	$.ajax({
  	  type: "GET",
  	  url: url,
  	  success: function(content){
  		  
            var h = $('#wrapper').height()-100;
  	  		bootbox.dialog({
  	           	message: mess= '<object data="'+content+'" type="application/pdf" width="100%" height="'+ h +'px" class="internal"><param name="scrollbar" value="1" /><param name="toolbar" value="1" /><param name="view" value="FitW" /></object>',
  	           	title: titulo
  			}).find("div.modal-dialog").addClass("largeWidthModal");
  	  },
  	  error:function(){
   		  //jloadingOff();
   	  },
  	  dataType: 'text'
  	});
}



$(function () {
    var navTabs = $('.nav-tabs a');

    var hash = window.location.hash;
    hash && navTabs.filter('[data-value="' + hash + '"]').tab('show');

    navTabs.on('shown', function (e) {
        var status = $(e.target).attr('data-value');
        window.location.hash = status;
    });
})


/*---------------INFO-------------------*/


function DH_setInfoVideo(title,data,render,withheader)
{
	$("#"+render).append("<div id='render_videos'></div>");
	
	var htmlinfo="<div class='panel curva panel-info videos' id='htmlinfo_videos'>";
	if(withheader)
		htmlinfo=htmlinfo+"<div class='panel-heading'>"+
	    						"<h3 class='panel-title'>"+title+"</h3>"+
	  					  "</div>";

	htmlinfo=htmlinfo+"<div class='panel-body' id='body_videos'></div></div>";
	$("#render_videos").append(htmlinfo);	  					  
	  					  
	$.ajax({
    	url: data.video[0].url,
    	type: "GET",
        success: function(response) {
        	
        	if(data.video[0].nombre_archivo.toLowerCase().indexOf(".mp4")!=-1)
    		
        		$("#body_videos").append("<video controls><source type='video/mp4' src='"+response+"' ></video>");
        	else
        		$("#body_videos").append("<video controls><source type='video/webm' src='"+response+"' ></video>");
        	
        	
			if(data.video[0].descripcion.trim()!="")
    			
				$("#body_videos").append("<div align='center' class='panel-body'>"+data.video[0].descripcion.trim()+"</div>");
        	

    			setTimeout(function(){
    				
    				
    	    		if(data.video.length>1) //incluir navegador
    	    		{
    	    			var x= $("#body_videos").find("video").height()/2;
    	    			
    	    			$("#body_videos").append("<div class='btn btn-default contenedorvideo' id='prev_video' style=' left:5px; top:-"+x+"px;'><img class='tam_img' src='./resources/img/arrow_180.png' border='0' alt=''></div><div class='btn btn-default contenedorvideo' id='next_video' style=' right:5px; top:-"+x+"px; float:right;'><img class='tam_img' src='./resources/img/arrow.png' border='0' alt=''></div>");
    	    			
                		$("#next_video").click(function() {
            				NextVideo(title,"render_videos",withheader,data.video,0);
                		});
                		
                		$("#prev_video").click(function() {
                			PrevVideo(title,"render_videos",withheader,data.video,0);
                		});
    	    		}
    			
    			}, 100);
    			
        }
    });	
}


function DH_setInfoFotos(title,data,render,withheader)
{
	$("#"+render).append("<div id='render_fotos'></div>");
	
	var htmlinfo="<div class='panel curva panel-info fotos' id='htmlinfo_fotos'>";
	if(withheader)
		htmlinfo=htmlinfo+"<div class='panel-heading'>"+
	    						"<h3 class='panel-title'>"+title+"</h3>"+
	  					  "</div>";

	htmlinfo=htmlinfo+"<div class='panel-body' id='body_fotos'></div></div>";
	$("#render_fotos").append(htmlinfo);	  					  
	  					  
	$.ajax({
    	url: data.image[0].url,
    	type: "GET",
        success: function(response) {
    		
        	$("#body_fotos").append("<img src='"+response+"' >");

			if(data.image[0].descripcion.trim()!="")
    			
				$("#body_fotos").append("<div align='center' class='panel-body'>"+data.image[0].descripcion.trim()+"</div>");
        	
        	setTimeout(function(){ //damos tiempo a que se renderice la imagen en el contenedor
        	
        		 
        		if(data.image.length>1) //incluir navegador
        		{
        			var x= $("#body_fotos").find("img").height()/2;
        			//$("#htmlinfo_fotos").append("<div style='text-align:center; margin-top:-"+x+"px; z-index:999999'><div class='btn-group'><div class='btn btn-default contenedorfoto' id='prev_foto'><img class='tam_img' src='./resources/img/arrow_180.png' border='0' alt=''></div><div class='btn btn-default contenedorfoto' id='next_foto'><img class='tam_img' src='./resources/img/arrow.png' border='0' alt=''></div></div></div>");
        			$("#body_fotos").append("<div class='btn btn-default contenedorfoto' id='prev_foto' style=' left:5px; top:-"+x+"px;'><img class='tam_img' src='./resources/img/arrow_180.png' border='0' alt=''></div><div class='btn btn-default contenedorfoto' id='next_foto' style=' right:5px; top:-"+x+"px; float:right;'><img class='tam_img' src='./resources/img/arrow.png' border='0' alt=''></div>");
        			
            		$("#next_foto").click(function() {
        				NextFoto(title,"render_fotos",withheader,data.image,0);
            		});
            		
            		$("#prev_foto").click(function() {
            			PrevFoto(title,"render_fotos",withheader,data.image,0);
            		});
        			
        		}
        		
        		
        		
        	}, 100);
        }
    });	
}


function NextVideo(title,render,withheader,videos,index)
{
	
	index++;
	
	if(videos.length>index)
	{
	
		$("#"+render).find(".videos").remove();
		
		var htmlinfo="<div class='panel curva panel-info videos' id='htmlinfo_videos'>";
		if(withheader)
			htmlinfo=htmlinfo+"<div class='panel-heading'>"+
		    						"<h3 class='panel-title'>"+title+"</h3>"+
		  					  "</div>";
		  					  
		$.ajax({
	    	url: videos[index].url,
	    	type: "GET",
	        success: function(response) {
	        	
	        	
	        	htmlinfo=htmlinfo + ((videos[index].nombre_archivo.toLowerCase().indexOf(".mp4")!=-1)?"<div class='panel-body' id='body_videos'><video controls><source type='video/mp4' src='"+response+"' ></video></div>":"<div class='panel-body' id='body_videos'><video controls><source type='video/webm' src='data:video/webm;base64,"+response+"' ></video></div>");

	        	htmlinfo=htmlinfo+"</div>";
	    		
	        	$("#"+render).append(htmlinfo);
	        	
    			if(videos[index].descripcion.trim()!='')
	    			
    				$("#body_videos").append("<div align='center' class='panel-body'>"+videos[index].descripcion.trim()+"</div>");
	    		
	        	setTimeout(function(){
		    		
		    		var x= $("#body_videos").find("video").height()/2;

	    			$("#body_videos").append("<div class='btn btn-default contenedorvideo' id='prev_video' style=' left:5px; top:-"+x+"px;'><img class='tam_img' src='./resources/img/arrow_180.png' border='0' alt=''></div><div class='btn btn-default contenedorvideo' id='next_video' style=' right:5px; top:-"+x+"px; float:right;'><img class='tam_img' src='./resources/img/arrow.png' border='0' alt=''></div>");
	        		
	        		$("#next_video").click(function() {
	        			NextVideo(title,render,withheader,videos,index);
	        		});
	        		
	        		$("#prev_video").click(function() {
	        			PrevVideo(title,render,withheader,videos,index);
	        		});
	    			
	    			
	    		}, 100);
	    		
	        }
	    });			  					  
		  					  
		
	}	
}

function PrevVideo(title,render,withheader,videos,index)
{
	index--;
	
	if(index >= 0)
	{

		$("#"+render).find(".videos").remove();
		
		
		var htmlinfo="<div class='panel curva panel-info videos'>";
		if(withheader)
			htmlinfo=htmlinfo+"<div class='panel-heading'>"+
		    						"<h3 class='panel-title'>"+title+"</h3>"+
		  					  "</div>";
		
		
		  					  
		$.ajax({
	    	url: videos[index].url,
	    	type: "GET",
	        success: function(response) {
	        	
	        	htmlinfo=htmlinfo + ((videos[index].nombre_archivo.toLowerCase().indexOf(".mp4")!=-1)?"<div class='panel-body' id='body_videos'><video controls><source type='video/mp4' src='"+response+"' ></video></div>":"<div class='panel-body' id='body_videos'><video controls><source type='video/webm' src='data:video/webm;base64,"+response+"' ></video></div>");

	        	htmlinfo=htmlinfo+"</div>";

	        	
	    		$("#"+render).append(htmlinfo);
	    		
    			if(videos[index].descripcion.trim()!='')
	    			
    				$("#body_videos").append("<div align='center' class='panel-body'>"+videos[index].descripcion.trim()+"</div>");
	    		
	    		setTimeout(function(){

		    		var x= $("#body_videos").find("video").height()/2;

	    			$("#body_videos").append("<div class='btn btn-default contenedorvideo' id='prev_video' style=' left:5px; top:-"+x+"px;'><img class='tam_img' src='./resources/img/arrow_180.png' border='0' alt=''></div><div class='btn btn-default contenedorvideo' id='next_video' style=' right:5px; top:-"+x+"px; float:right;'><img class='tam_img' src='./resources/img/arrow.png' border='0' alt=''></div>");
	        		
	        		$("#next_video").click(function() {
	        			NextVideo(title,render,withheader,videos,index);
	        		});
	        		
	        		$("#prev_video").click(function() {
	        			PrevVideo(title,render,withheader,videos,index);
	        		});

	    		}, 100);
		    		
	        }
	    });		
	
	}
}

/*Codigo con privilegios. Refactorizar mas adelante*/

function DH_openMessagesExCCD(idexccd)
{
	//Necesito el feature
	
	var feature;
	
	var layer_wfs = map.getLayersByName('Ex CCD')[0];
	
	
	if(layer_wfs.features.length == 0)
	//la capa todavia no fue prendida todavia
	{
		exccd_loadfeatureswithcallback(layer_wfs, idexccd, DH_openOneMessageExCCD);
		
	}
	else
		DH_openOneMessageExCCD(layer_wfs,idexccd)

}


function DH_openOneMessageExCCD(layer_wfs,idexccd)
{
	for(var i=0;i<layer_wfs.features.length;i++)
	{
		
		
		var idexccdFromFeature = (layer_wfs.features[i].attributes.idexccd!=undefined)?layer_wfs.features[i].attributes.idexccd:parseInt(layer_wfs.features[i].fid.replace("exccd.",""));
		
		if(idexccdFromFeature == idexccd)
		{
			feature = layer_wfs.features[i];
			break;
		}
	}
	
	DH_openDialogEditExCCD(feature);
	
	ML_addAndZoomToWKT("POINT ("+feature.geometry.x+" "+feature.geometry.y+")", feature.layer.projection.projCode);
	
	$('a[href="#messages_tab2"]').click();

}

function updateDetailMessages(destinatario)
{
		
		if($("#notificacion_mensajes").length>0)
			$("#notificacion_mensajes").remove();
		
		$.ajax({
		  	  type: "GET",
		  	  url: "ddhh/messagesDetailNoRead?destinatario="+destinatario,
		  	  contentType: 'application/json',
		  	  success: function(data){
		  		    
		  		  	if(data.Resumen.length>0)
		  		  	{
		  		  		$("#tools_navbar").append('<li class="f_right" id="notificacion_mensajes"><a title="Mensajes de Ex CCD" class="dropdown-toggle" data-toggle="dropdown" href="#"><i class="fa fa-bell"></i>&nbsp;<span class="mensajes_ddhh_no_leidos" style="font-weight: bold;"></span></a><ul class="dropdown-menu dropdown-messages dropdown-messages-ddhh"><li style="text-align: center;"><div><strong>Total de mensajes no leidos <span class="mensajes_ddhh_no_leidos"></span></strong><br></div><div><table style="width: 100%"><thead><tr><th>Asunto</th><th>Autor</th><th>Ex CCD</th><th>Fecha</th></tr><thead><tbody id="body_detail_messages" style="border-top: 1px #000 solid"></tbody></table></div></li></ul></li>');
		  		  		
			  			$(".mensajes_ddhh_no_leidos").text(data.NoLeidos);
			  			
			  			$.each(data.Resumen , function(index, val) {
			  				
			  			  var innerHTML = "<tr onclick='DH_openMessagesExCCD("+val.idexccd+")' ><td>"+val.asunto+"</td><td>"+val.autor+"</td><td>"+val.exccd+"</td><td>"+val.fecha+"</td></tr>";
			  			  
			  			  $("#body_detail_messages").append(innerHTML);
			  			  
			  			});

		  		  	}		
		  	  }
		});

}

function DH_forzar_descarga(url)
{
	$.ajax({
	  	  type: "GET",
	  	  url: url,
	  	  success: function(data)
	  	  {
		  		name = url.split("name=")[1].split("&")[0];
		  		var xhr = new XMLHttpRequest();
		  		xhr.open('GET', data, true);
		  		xhr.responseType = 'blob';
		  		 
		  		xhr.onload = function(e) {
		  		  if (this.status == 200) {
		  		    // get binary data as a response
		  		    var blob = this.response;
		  		    
		  		   /* var reader = new FileReader();
		  		    reader.readAsDataURL(blob); 
		  		    reader.onloadend = function() {
		  		        base64data = reader.result;                
		  		        console.log(base64data);
		  		    }*/
		  		    
		  		    saveAs(blob, name);
		  		  }
		  		};
		  		xhr.send();
	  	  }
	});
}



function DH_addAndZoomToFeatures(features)
{
	 
	ML_removeAllFinds();
	
	var bounds;
     if(features) {
    	  if(features.constructor != Array) {
              features = [features];
          }
    	  features = MD_applyDisplacementToFeatures(features);
          for(var i=0; i<features.length; ++i) {
              if (!bounds) {
                  bounds = features[i].geometry.getBounds();
              } else {
                  bounds.extend(features[i].geometry.getBounds());
              }
              
              var params = new Object();
              var label_value = "";
              
              if(features[i].data.ccd!="")
              {
            	  label_value = features[i].data.ccd;
            	  params.pointRadius=20;
            	  params.fillOpacity=0.8;

              }
              
              if(features[i].data.fecha!="")
            	  label_value = label_value +"\n"+ features[i].data.fecha;

              params.valor = label_value;
              params.strokeColor = "#FFFF80";
              params.fontColor = "#FFFF80";
              params.fontSize = "14px";
              params.fontFamily = "Arial";
              params.xOffset = 0;
              params.yOffset = -40;
              params.labelOutlineColor = "#505050";  
              
              setStyleFeature(features[i],params);     
          }
          
          
    	  //vectorQueryLayer.removeAllFeatures();
          vectorQueryLayer.addFeatures(features);
          bounds = new OpenLayers.Bounds(bounds.left - 1000,bounds.bottom - 1000,bounds.right + 1000, bounds.top + 1000);
          map.zoomToExtent(bounds);
      }
      else
    	  bootbox.alert("Ocurrio un error");
}



function DH_zoomToPartido(pdo)
{

	
	
	$.getJSON("client/getNomencla",{nomenclatura:$.strPad(pdo, 3),epsg:map.projection}, function( data ) {
		if(eval(data).found)
		{
			ML_addAndZoomToWKT(eval(data).result,map.projection);
			$('#modal-content_ddhh_records').modal('hide');
			
		}else
			bootbox.alert(eval(data).message);
		$('#loading-indicator').hide();
	});
}
